Bug 1094090 - [Regression] TMX import/export blocked by api not providing user key
Summary: [Regression] TMX import/export blocked by api not providing user key
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-API
Version: development
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.4
Assignee: Patrick Huang
QA Contact: Damian Jansen
URL:
Whiteboard:
Depends On:
Blocks: 1088122
TreeView+ depends on / blocked
 
Reported: 2014-05-05 03:58 UTC by Damian Jansen
Modified: 2014-07-17 06:39 UTC (History)
1 user (show)

Fixed In Version: 3.4.0-SNAPSHOT (git-server-3.3.1-266-ga1bc59b)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-17 06:39:29 UTC


Attachments (Terms of Use)

Description Damian Jansen 2014-05-05 03:58:41 UTC
Description of problem:
With the rate limit change came a behavioural change for rest requests - the api key is required.
This did not get updated for the tmx import/export features of Zanata and results in a 401.

Version-Release number of selected component (if applicable):
Dev

How reproducible:
Easy always

Steps to Reproduce:
1. Go to any project version
2. select a language and press export to tmx

or

1. As admin, go to Administration > Translation Memory
2. Create or select a TM entry
3. Press the import button, select a file, press import

Actual results:
401 Not Authorized

Expected results:
If the user has a key, this should not appear.

Additional info:
The tm export shows the "key required" error, but the TM import does not.

Comment 1 Patrick Huang 2014-05-06 03:37:30 UTC
https://github.com/zanata/zanata-server/pull/433

Comment 2 Damian Jansen 2014-05-07 04:01:17 UTC
Verified


Note You need to log in before you can comment on or make changes to this bug.